List IT assets

Retrieve a paginated list of all IT assets managed by the organization. This is useful for getting a complete overview of your equipment inventory and understanding the state of each asset. For more info, visit [Assets](https://developer.deel.com/docs/deel-it-api#assets). **Token scopes**: `it-assets:read`

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

cursorstringOptional
Indicates where the next page of results starts, as returned in a paginated list response
limitintegerOptional1-100Defaults to 20
Return a page of results with given number of records
hris_profile_idstringOptionalformat: "uuid"
Filter assets by assigned worker with given HRIS Profile ID
locationenumOptional
Filter assets by their location
categoryenumOptional
Filter assets by their product category
statusenumOptional
Filter assets by their status
Allowed values:

Response

OK
datalist of objects
has_moreboolean
Whether there are more results available
next_cursorstring or null
Cursor to the next page
total_countinteger
Total number of records

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error